/**
* 文件：TableIndexQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.table.model;
import java.util.List;
/**
 * <p>Title: 分表索引信息</p>
 * <p>Description: TableIndexQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class TableIndexQuery extends TableIndexEntity{
	private static final long serialVersionUID = 1547777703369L;
	/** 开始 菜单ID，主键，自增长 */
	private Long idStart;

	/** 结束 菜单ID，主键，自增长 */
	private Long idEnd;

	/** 增加 菜单ID，主键，自增长 */
	private Long idIncrement;

	/** 菜单ID，主键，自增长 */
	private List<Long> idList;

	/** 表名称 */
	private List<String> tableNameList;

	/** 表标识 */
	private List<String> tableMarkList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;


	public TableIndexQuery(){
	}
	/**
	 * 获取 开始 菜单ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 菜单ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 菜单ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 菜单ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 菜单ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 菜单ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 菜单ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 菜单ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 表名称
	 * @return tableNameList
	 */
	public List<String> getTableNameList(){
		return this.tableNameList;
	}

	/**
	 * 设置 表名称
	 * @param tableNameList
	 */
	public void setTableNameList(List<String> tableNameList){
		this.tableNameList = tableNameList;
	}

	/**
	 * 获取 表标识
	 * @return tableMarkList
	 */
	public List<String> getTableMarkList(){
		return this.tableMarkList;
	}

	/**
	 * 设置 表标识
	 * @param tableMarkList
	 */
	public void setTableMarkList(List<String> tableMarkList){
		this.tableMarkList = tableMarkList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}


}